<?php
session_start();

// WICHTIG: Pfade aus /admin heraus korrekt auflösen
require_once __DIR__ . "/../inc/config.inc.php";
require_once __DIR__ . "/../inc/functions.inc.php";

// Login prüfen
$user = check_admin_user();

include __DIR__ . "/templates/header.inc.php";

$user = check_admin_user();
$internUserId = (int)$_SESSION['auth']['id'];

if (!$user) { echo "<div class='container main-container'><h3>Erst anmelden: <a href=login.php>Login</a></h3><br>";

include("templates/footer.inc.php");
 exit; }

?>
<script src="/admin/js/tinymce/tinymce.min.js" referrerpolicy="origin"></script>
<div class="container main-container">
<?php

echo '<div style="float: right; width: 200px; ">';
		echo "<form action='". $_SERVER['PHP_SELF'] . "' id='formbenutzersuche' method=POST>";
		echo '<input type="hidden" name="aktion" value="benutzersuche" />';
		echo '<input type="hidden" name="userid_input" id="userid_input" />';
		echo '<label>Benutzersuche Impfen:</label>
				<input type="text" id="user_input" name="skill_input" width="48"/>';
		//echo '<input type="submit" class="btn btn-primary" id="submitbox" value="" />';
		echo "</form>";	
echo '</div>';
?>
<h2>Administration - Corona-Impfung</h2>

Hallo <?php echo htmlentities($user['vorname']); ?>,<br>
Herzlich Willkommen im internen Bereich!<br><br>

	
<?php		


if(!check_worker()){
	echo "Dieser Bereich ist nur für Bearbeiter freigeschaltet!<br><br><br>";
}else{

	if($_POST["aktion"] == "togoterminverwaltungnewserie" ){	
	
		## Neuen Serien Termin anlegen
		?>
		<h3>Serientermin "togo" anlegen</h3>
		<br>
		<?php		
		

		echo '<form action="'. $_SERVER["PHP_SELF"] .'" method=POST>';
		echo "Wochentag:<br>";
		echo "<select name=date>";
		echo "<option value=Mo>montags</option>";
		echo "<option value=Di>dienstags</option>";
		echo "<option value=Mi>mittwochs</option>";
		echo "<option value=Do>donnerstags</option>";
		echo "<option value=Fr>freitags</option>";
		echo "<option value=Sa>samtags</option>";
		echo "<option value=So>sonntags</option>";
																	
		echo "</select>";
		echo "<br><br>";
		echo "Startzeit:<br>";
		echo "<input type=time name=start class='form-control'>";

		echo "<br><br>";
		echo "Endzeit:<br>";
		echo "<input type=time name=end class='form-control'>";			
		echo "<br><br>";
		echo "Standort:<br>";			
		echo "<input type=text name=standort class='form-control'>";			
		echo "<br><br>";
		echo "Warnmeldung ab Teilnehmer (gelb):<br>";
		echo "<input type=int name=warning class='form-control'>";			
		echo "<br><br>";
		echo "Errormeldung ab Teilnehmer (rot):<br>";
		echo "<input type=int name=error class='form-control'>";			
		echo "<br><br>";
		echo "<input type=hidden name=save value=savenewserie >";
		echo '<input type=submit class="btn btn-primary btn-sm" value="Serientermin anlegen">';
		echo "</form>";			
			
			
		
		echo "<br><br>";
		echo '<form action="'. $_SERVER["PHP_SELF"] .'" method=POST>';
		echo '<input type=submit class="btn btn-primary btn-sm" value="zurück">';
		echo "</form>";	
		
	}elseif($_POST["aktion"] == "folgenewtermin"){
		
		echo "<h3>Folge von Terminen anlegen</h3><br>";
		echo '<form action="'. $_SERVER["PHP_SELF"] .'" method=POST>';
		echo "Datum: <input name=date type=date class='form-control' required><br>";
		echo "Startzeit: <input name=folgestartzeit type=time class='form-control' required><br>";
		echo "Länge eines Termins (Min): <input name=folgelaenge type=number class='form-control' required><br>";
		echo "Anzahl der Termine: <input name=folgeanzahl type=number class='form-control' required><br>";
		echo "gelbe Warnstufe ab Impfungen: <input name=warning type=number class='form-control'  required><br>";
		echo "rote Warnstufe ab Impfungen: <input name=error type=number class='form-control' required><br>";
		echo "Standort:";			
		echo "<input type=text name=standort class='form-control'><br><br>";
		echo "<input type=hidden name=save value=savefolgenewtermin >";
		echo "<br><br>";
		echo '<input type=submit class="btn btn-primary" value="Neue Zeitslots anlegen"></form>';
	
		echo "<br><br>";
		echo '<form action="'. $_SERVER["PHP_SELF"] .'" method=POST>';
		echo '<input type=submit class="btn btn-primary btn-sm" value="zurück">';
		echo "</form>";	
	
	}elseif($_GET["a"] == "showtogotermin" ){
		?>
		<h3>Termine "togo" einsehen</h3>
		<br>
		<?php	
		if($_GET["b"] == "removeentry" ){
			?>
			<?php	

			$sqlstring = "DELETE FROM togo_termin_teilnehmer WHERE terminteilnehmerid = ". $_GET["uid"] . "";
			$query = mysqli_query($con,$sqlstring);		
			if($query){
				$sqlstring = "Update togo_termin SET count=count-1  WHERE terminid = ". $_GET["id"] . "";
				$query = mysqli_query($con,$sqlstring);		
				echo "<div class='infofenster'><h4>Eintrag wurde gelöscht!<h4></div>";

			}else{
				echo "<div class='infofenster'><h4>Fehler beim der Löschung des Eintrag!<h4></div>";

				
			}

		}


		$terminid = $_GET["id"];
		$sqlstring = "SELECT * FROM togo_termin_teilnehmer WHERE terminid = ". $_GET["id"] . "";
		$query = mysqli_query($con,$sqlstring);	
		$i=1;
		echo "<table width=100%><tr><th>Nummer</th><th>Person</th><th>IP-Adresse</th><th>Anlegungsdatum</th><th>Aktion</th></tr>";
		while ($row = $query->fetch_assoc()) {
			$terminteilnehmerid = $row["terminteilnehmerid"];
			$togoname = $row["name"];
			$togomail = $row["mail"];
			$togoid = $row["IP"];
			$togodate = $row["create_time"];

		echo "<tr><td>" . $i . "</td><td>". $togoname ." - " . $togomail . "</td><td>" . $togoid . "</td><td>" . $togodate . "</td><td> <a href=". $_SERVER["PHP_SELF"] ."?a=showtogotermin&b=removeentry&id=$terminid&uid=$terminteilnehmerid class='glyphicon glyphicon-remove' onclick=\"return confirm('Eintrag ". $togoname ."/". $togomail." wirklich löschen?');\" title='löschen'></a>  </td></tr>";
			$i++;
		}		
		echo "</table>";
		
		
		echo "<br><br>";
		echo '<form action="'. $_SERVER["PHP_SELF"] .'" method=POST>';
		echo "<input type=hidden name=aktion value=togoterminverwaltung >";
		echo '<input type=submit class="btn btn-primary btn-sm" value="zurück">';
		echo "</form>";	


	

	## EDIT EinzelTermin 
	}elseif($_GET["a"] == "togoedittermin" ){	

		$queryinsert = mysqli_query($con, "SELECT * FROM togo_termin WHERE terminid  = ". $_GET["id"] . "");
		while ($row = $queryinsert->fetch_assoc()) {
			$date = $row["date"];	
			$start = $row["start"];
			$end = $row["end"];
			$standort = $row["standort"];
			$error = $row["error"];
			$warning = $row["warning"];
			$count = $row["count"];
		}
		
		echo "<h3>Termin Anpassung</h3>";
		echo '<form action="'. $_SERVER["PHP_SELF"] .'" method=POST>';
		
		echo "Datum:<br>";
		echo "<input type=date name=date class='form-control' value=$date>";
		echo "<br><br>";
		echo "Startzeit:<br>";
		echo "<input type=time name=start class='form-control' value='$start'>";
		echo "<br><br>";
		echo "Endzeit:<br>";
		echo "<input type=time name=end class='form-control' value='$end'>";			
		echo "<br><br>";			
				
		echo "Aktuelle Meldungen:<br>";
		echo "<input type=int name=count class='form-control' value='$count'>";			
		echo "<br><br>";	
		echo "Standort:<br>";	
		echo "<input type=text name=standort class='form-control' value='$standort'>";			
		echo "<br><br>";
		echo "Warnmeldung ab Teilnehmer (gelb):<br>";
		echo "<input type=int name=warning class='form-control' value=$warning>";			
		echo "<br><br>";
		echo "Errormeldung ab Teilnehmer (rot):<br>";
		echo "<input type=int name=error class='form-control' value=$error>";			
		echo "<br><br>";
		echo "<input type=hidden name=save value=saveediteinzeltermin >";
		echo "<input type=hidden name=terminid value=". $_GET["id"] . " >";
		echo '<input type=submit class="btn btn-primary btn-sm" value="Termin speichern">';
		echo "</form>";			
		
			
		
		echo "<br><br>";
		echo '<form action="'. $_SERVER["PHP_SELF"] .'" method=POST>';
		//echo "<input type=hidden name=aktion value=togoterminverwaltung >";
		
		echo '<input type=submit class="btn btn-primary btn-sm" value="zurück">';
		echo "</form>";	

	### Allen im Termin eine E-Mail senden
	}else if($_GET["a"] == "togosendmail" ){	
			$queryinsert = mysqli_query($con, "SELECT * FROM togo_termin WHERE terminid  = ". $_GET["id"] . "");
			while ($row = $queryinsert->fetch_assoc()) {
				$date = $row["date"];	
				$start = $row["start"];
				$end = $row["ende"];
				$standort = $row["standort"];
				$error = $row["error"];
				$warning = $row["warning"];
				$count = $row["count"];
			}			
			
			echo "<h1>E-Mail Benachrichtigung</h1><br>";
			echo "Infos:<br>";
			echo "<br>
				Datum: $date<br>
				Start: $start<br>
				Ende: $end<br>
				Standort: $standort<br>
			<br>";
			
			echo "<form action='". $_SERVER['PHP_SELF'] . "' method=POST>";
			echo "Betreff:<br>";
			echo "<input name=betreff type=text class='form-control' ><br>";
			echo "<div id=my-editor></div>"; 
			echo "Inhalt:<br>";
			echo '<textarea height=200 name="body" id="trumbowyg-demo"></textarea>';
			echo "<input name=save type=hidden value=savesendmail>";
			echo "<input name=id type=hidden value='". $_GET["id"] . "'><br><br>";
			echo "<input type=submit value='Speichern'><br>";
			echo '</form>';
	}else if($_GET["a"] == "togomaildeletetimes" ){
		
		
		echo "<h1>E-Mail Benachrichtigung</h1><br>";
		echo "Infos:<br>";
		echo "Hiermit werden alle Benutzer mit abgesagten Terminen informiert und die Einträge dann gelöscht.<br>";
		
		
		echo "<form action='". $_SERVER['PHP_SELF'] . "' method=POST>";
		echo "Betreff:<br>";
		echo "<input name=betreff type=text class='form-control' ><br>";
		echo "<div id=my-editor></div>"; 
		echo "Inhalt:<br>";
		echo '<textarea height=200 name="body" id="trumbowyg-demo"></textarea>';
		echo "<input name=save type=hidden value=savesendmail>";
		echo "<input name=abgesagten type=hidden value=1>";
		
		echo "<br>";
		echo "<input type=submit value='Speichern'><br>";
		echo '</form>';
	### EDIT Serientermin
	}else if($_GET["a"] == "togoeditserientermin" ){	

		$queryinsert = mysqli_query($con, "SELECT * FROM togo_termin WHERE terminid  = ". $_GET["id"] . "");
		while ($row = $queryinsert->fetch_assoc()) {
			$date = $row["date"];	
			$start = $row["start"];
			$end = $row["ende"];
			$standort = $row["standort"];
			$error = $row["error"];
			$warning = $row["warning"];
			$count = $row["count"];
		}
		
		echo "<h3>Serientermin Anpassung</h3>";
		echo '<form action="'. $_SERVER["PHP_SELF"] .'" method=POST>';
		echo "<input type=hidden name=aktion value=togoeditserientermin class='form-control'>";
		echo "Wochentag:<br>";
		
		
		echo "<select name=date>";
		if($togodate == "Mo"){
			echo "<option value=Mo selected>montags</option>";
		}else{
			echo "<option value=Mo>montags</option>";
		}
		if($togodate == "Di"){
			echo "<option value=Di selected>dienstags</option>";
		}else{
			echo "<option value=Di>dienstags</option>";
		}			
		if($togodate == "Mi"){
			echo "<option value=Mi selected>mittwochs</option>";
		}else{
			echo "<option value=Mi>mittwochs</option>";
		}
		if($togodate == "Do"){
			echo "<option value=Do selected>donnerstags</option>";
		}else{
			echo "<option value=Do>donnerstags</option>";
		}
		if($togodate == "Fr"){
			echo "<option value=Fr selected>freitags</option>";
		}else{
			echo "<option value=Fr>freitags</option>";
		}
		if($togodate == "Sa"){
			echo "<option value=Sa selected>samtags</option>";
		}else{
			echo "<option value=Sa>samtags</option>";
		}
		if($togodate == "So"){
			echo "<option value=So selected>sonntags</option>";
		}else{
			echo "<option value=So>sonntags</option>";
		}			

																	
		echo "</select>";
		echo "<br><br>";
		echo "Startzeit:<br>";
		echo "<input type=time name=start class='form-control' value='$start'>";
		echo "<br><br>";
		echo "Endzeit:<br>";
		echo "<input type=time name=end class='form-control' value='$end'>";			
		echo "<br><br>";
		echo "Aktuelle Meldungen:<br>";
		echo "<input type=int name=count class='form-control' value='$count'>";			
		echo "<br><br>";			
		echo "Standort:<br>";			
		echo "<input type=text name=standort class='form-control' value='$standort'>";			
		echo "<br><br>";
		echo "Warnmeldung ab Teilnehmer (gelb):<br>";
		echo "<input type=int name=warning class='form-control' value=$warning>";			
		echo "<br><br>";
		echo "Errormeldung ab Teilnehmer (rot):<br>";
		echo "<input type=int name=error class='form-control' value=$error>";			
		echo "<br><br>";
		echo "<input type=hidden name=save value=saveserientermin >";
		echo '<input type=submit class="btn btn-primary btn-sm" value="Termin speichern">';
		echo "</form>";			
			
			
		
		echo "<br><br>";
		echo '<form action="'. $_SERVER["PHP_SELF"] .'" method=POST>';
		echo "<input type=hidden name=aktion value=togoterminverwaltung >";
		echo '<input type=submit class="btn btn-primary btn-sm" value="zurück">';
		echo "</form>";	





	}elseif($_GET["a"] == "togoAddUser" || $_POST["aktion"] == "togoAddUser" ){	

			$textausgabe .= "<h3>ToGo Anmeldung</h3>";
			$textausgabe .= '<form action="'. $_SERVER["PHP_SELF"] .'" method=POST>';
			$textausgabe .= "Melden Sie sich unverbindlich an.<br>Es wird Ihre IP-Addresse gespeichert.<br><br><h3>Dieses dient nur zur Planung und ist keine feste Terminzusage!</h3>";
			$textausgabe .= "Bitte beachten Sie, dass die angezeigte Anzahl der Online Anmeldungen vom tatsächlichen Andrang vor Ort abweichen kann.<br>Auch ist eine Verschiebung der Impfung für einzelne Impflinge immer möglich!<br><br>";
			$textausgabe .= "";
			$textausgabe .= "Name:<br>";
			$textausgabe .= "<input type=text name=name class='form-control'>";
			$textausgabe .= "<br>";
			$textausgabe .= "E-Mail-Adresse:<br>";
			$textausgabe .= "<input type=email name=mail class='form-control'>";
			$textausgabe .= "<br>";
			$textausgabe .= "<br><br>";
			$textausgabe .= "<input type=hidden name=save value=saveadduser >";
			//$textausgabe .= "<input type=hidden name=aktion value=togoAddUser >";
			$textausgabe .= "<input type=hidden name=ip value='PraxisTeam Eintrag' >";
			$textausgabe .= "<input type=hidden name=terminid value='".$_GET["id"] ."' >";
			$textausgabe .= '<input type=submit class="btn btn-primary btn-sm" value="Unverbindlich anmelden"><br>';
			$textausgabe .= "</form>";		
			$textausgabe .= "<br><br>Bitte beachten Sie, dass die angezeigte Anzahl der Online Anmeldungen vom tatsächlichen Andrang vor Ort abweichen kann.<br>Auch ist eine Verschiebung der Impfung für einzelne Impflinge immer möglich!<br><br>";
			//$textausgabe .= "<p>Kommen Sie unverbindlich zu einem unserer ToGo Impfterminen.</p>";
			echo $textausgabe;





	}elseif($_POST["aktion"] == "togoterminverwaltungnewtogo" ){	

		

		echo '<form action="'. $_SERVER["PHP_SELF"] .'" method=POST>';

		echo "<input type=date name=date class='form-control'>";
		echo "<br><br>";
		echo "<input type=time name=start class='form-control'>";
		echo "<br><br>";
		echo "<input type=time name=end class='form-control'>";			
		echo "<br><br>";			
		echo "Standort:<br>";			
		echo "<input type=text name=standort class='form-control'>";			
		echo "<br><br>";
		echo "Warnmeldung ab Teilnehmer (gelb):<br>";
		echo "<input type=int name=warning class='form-control'>";			
		echo "<br><br>";
		echo "Errormeldung ab Teilnehmer (rot):<br>";
		echo "<input type=int name=error class='form-control'>";			
		echo "<br><br>";
		echo "<input type=hidden name=save value=savenewtogo >";
		echo '<input type=submit class="btn btn-primary btn-sm" value="Termin anlegen">';
		echo "</form>";			
			
			

		echo "<br><br>";
		echo '<form action="'. $_SERVER["PHP_SELF"] .'" method=POST>';
		echo '<input type=submit class="btn btn-primary btn-sm" value="zurück">';
		echo "</form>";	





	}else{
		
			
		
		if($_GET["a"] == "removeserie" ){
			
			$sqlstring = "DELETE FROM togo_terminvorgaben WHERE vorgabenid = ". $_GET["id"] . "";
			$query = mysqli_query($con,$sqlstring);		

			if($query){
				echo "<div class='infofenster'><h4>Serientermin wurde gelöscht!<h4></div>";
			}else{
				echo "<div class='infofenster'><h4>Fehler beim der Löschung des Serientermins!<h4></div>";
				
			}
		}
		
		
		
		
		if($_GET["a"] == "activetogotermin" ){
		
			$sqlstring = "Update togo_termin SET count='0'  WHERE terminid = ". $_GET["id"] . "";
			$query = mysqli_query($con,$sqlstring);		
			if($query){
				echo "<div class='infofenster'><h4>Termin wurde aktiviert!<h4></div>";
			}else{
				echo "<div class='infofenster'><h4>Fehler beim der Aktivierung des Termins!<h4></div>";
				
			}

		}
		if($_GET["a"] == "removetogotermin" ){
		
			$sqlstring = "Update togo_termin SET count='-1'  WHERE terminid = ". $_GET["id"] . "";
			$query = mysqli_query($con,$sqlstring);		

			if($query){
				echo "<div class='infofenster'><h4>Termin wurde deaktiviert!<h4></div>";
			}else{
				echo "<div class='infofenster'><h4>Fehler beim der Deaktivierung des Termins!<h4></div>";
				
			}
		}
		if($_GET["a"] == "deletetogotermin" ){
		
			$sqlstring = "DELETE FROM togo_termin WHERE terminid = ". $_GET["id"] . "";
			$query = mysqli_query($con,$sqlstring);		

			if($query){
				echo "<div class='infofenster'><h4>Termin wurde gelöscht!<br>gelöschte Serientermine werden wieder erstellt. Serientermine können nur deaktiviert werden.<h4></div>";
			}else{
				echo "<div class='infofenster'><h4>Fehler beim der Löschen des Termins!<h4></div>";
				
			}
		}


		if($_POST["save"] == "savenewserie"){
			$date = $_POST["date"];
			$start = $_POST["start"];
			$end = $_POST["end"];
			$standort = $_POST["standort"];
			$error = $_POST["error"];
			$warning = $_POST["warning"];
			$queryinsert = mysqli_query($con, "INSERT INTO togo_terminvorgaben (date, start, ende,standort,error,warning) VALUES ('".$date."', '".$start."', '".$end."', '".$standort."', '".$error."', '".$warning."')");
			
			// Termin wird gespeichert
			if($queryinsert){
				echo "<div class='infofenster'><h4>Serientermin gespeichert!<h4></div>";
			}else{
				echo "<div class='infofenster'><h4>Fehler beim Speichern des Serientermins!<h4></div>";
				
			}
		}
		
		if($_POST["save"] == "savesendmail"){

			$betreff = $_POST["betreff"];
			$body = $_POST["body"];
			if($_POST["abgesagten"] == "1"){
				$queryinsert = mysqli_query($con, "SELECT *
									FROM      togo_termin_teilnehmer
									LEFT JOIN togo_termin ON togo_termin_teilnehmer.terminid = togo_termin.terminid
									WHERE standort IS NULL OR COUNT = '-1'");
				
			}else{
				$queryinsert = mysqli_query($con, "SELECT * FROM togo_termin_teilnehmer WHERE terminid  = ". $_POST["id"] . "");
			}
		
			while ($row = $queryinsert->fetch_assoc()) {
				$mail = $row["mail"];	
				//echo $mail;
				
				$ok = SendMailMessage($pdo, $mail, $betreff, $body);

				if ($ok) {
					echo "<b>Ihre Nachricht wurde erfolgreich versendet!</b><br>";
				} else {
					echo "Leider gab es einen Fehler bei E-Mailversand.<br>";
				}
				if($_POST["abgesagten"] == "1"){
					$id = $row["terminteilnehmerid"];	
					$sqldeletestring = "DELETE FROM togo_termin_teilnehmer WHERE terminteilnehmerid = ". $id . "";
					$querydelete = mysqli_query($con,$sqldeletestring);		
					echo "Benutzer $id gelöscht<br>";

				
					
				}


			}
			echo "<div class='infofenster'><h4>E-Mails wurde versendet!<h4>$mailrueckmeldung</div>";
			
		}
		
		
		if($_POST["save"] == "saveediteinzeltermin"){
			$date = $_POST["date"];
			$start = $_POST["start"];
			$end = $_POST["end"];
			$standort = $_POST["standort"];
			$error = $_POST["error"];
			$warning = $_POST["warning"];
			$terminid = $_POST["terminid"];
			$count = $_POST["count"];
			
			// Termin Änderung speichern
			$queryinsert = mysqli_query($con, "UPDATE togo_termin SET date='".$date."', start='".$start."', count='".$count."', end='".$end."', standort='".$standort."', error= '".$error."', warning='".$warning."' WHERE terminid='".$terminid."'");
			
			
			if($queryinsert){
				echo "<div class='infofenster'><h4>Termin gespeichert!<h4></div>";
			}else{
				echo "<div class='infofenster'><h4>Fehler beim Speichern des Termins!<h4></div>";
				
			}

		}
		if($_POST["save"] == "savefolgenewtermin"){
			$date = $_POST["date"];
			$start = $_POST["folgestartzeit"];
			$folgelaenge = $_POST["folgelaenge"];
			$folgeanzahl = $_POST["folgeanzahl"];
			$standort = $_POST["standort"];
			$error = $_POST["error"];
			$warning = $_POST["warning"];
			$terminid = $_POST["terminid"];
			$i =1;
			while($i <= $folgeanzahl){
				// Termin Änderung speichern
				$endTime = strtotime($start) + ($folgelaenge*60);
				$ende = date('H:i:s', $endTime);
				$queryinsert = mysqli_query($con, "INSERT INTO togo_termin (date, start, end,standort,error,warning) VALUES ('".$date."', '".$start."', '".$ende."', '".$standort."', '".$error."', '".$warning."')");
				
				$start = $ende;
				
				if($queryinsert){
					echo "<div class='infofenster'><h4>Termin gespeichert!<h4></div>";
				}else{
					echo "<div class='infofenster'><h4>Fehler beim Speichern des Termins!<h4></div>";
					
				}
				$i++;
			}
		}		
		
		
		
		if($_POST["save"] == "saveeditserientermin"){
			$date = $_POST["date"];
			$start = $_POST["start"];
			$end = $_POST["end"];
			$standort = $_POST["standort"];
			$error = $_POST["error"];
			$warning = $_POST["warning"];
			$terminid = $_POST["terminid"];
			$count = $_POST["count"];
			$queryinsert = mysqli_query($con, "UPDATE togo_termin SET date='".$date."', start='".$start."', ende='".$end."',count='".$count."', standort='".$standort."', error= '".$error."', warning='".$warning."' WHERE terminid='".$terminid."'");
			
			
			// Termin wird angelegt
			if($queryinsert){
				echo "<div class='infofenster'><h4>Termin gespeichert!<h4></div>";
			}else{
				echo "<div class='infofenster'><h4>Fehler beim Speichern des Termins!<h4></div>";
				
			}
			
		}
		
		
		if($_POST["save"] == "savenewtogo"){
			$date = $_POST["date"];
			$start = $_POST["start"];
			$end = $_POST["end"];
			$standort = $_POST["standort"];
			$error = $_POST["error"];
			$warning = $_POST["warning"];
			$queryinsert = mysqli_query($con, "INSERT INTO togo_termin (date, start, end,standort,error,warning) VALUES ('".$date."', '".$start."', '".$end."', '".$standort."', '".$error."', '".$warning."')");
			
			// Termin wird angelegt
			if($queryinsert){
				echo "<div class='infofenster'><h4>Termin gespeichert!<h4></div>";
			}else{
				echo "<div class='infofenster'><h4>Fehler beim Speichern des Termins!<h4></div>";
			}	
		}
		if($_POST["save"] == "saveadduser"){

			$terminid = $_POST["terminid"];
			$ip = $_POST["ip"];
			$mail = $_POST["mail"];
			$name = $_POST["name"];
			##Doppelte Anemldung blocken zum gleichen Termin
			$queryinsert = mysqli_query($con, "Select * FROM togo_termin_teilnehmer WHERE terminid = '".$terminid."' AND mail = '".$mail."' AND name = '".$name."' AND ip = '".$ip."'");
			$rows = mysqli_num_rows($queryinsert);
			
			//echo $rows;
			//echo $rowsvierzehen;
			//$countinsert= $row->total_count ;
			if($rows > 0){
				$textausgabe .= "<h2>Doppelte Eintragung</h2>";
				$textausgabe .= "Diese Daten sind schon für diesen Termin eingetragen. Bitte tragen Sie sich nicht doppelt ein.<br>Kommen Sie einfach zum ausgewählen Impftermin vorbei.<br><br>";
				$textausgabe .= "<h4>Sie erhalten keine E-Mail oder Terminbestätigung.<h4>";
				$textausgabe .= "<h4>Vielen Dank für Ihren Eintrag. Dadurch helfen Sie uns eine bessere Planung der Impfungen bereitzustellen.<h4>";
				$textausgabe .= "Bitte beachten Sie, dass die angezeigte Anzahl der Online Anmeldungen vom tatsächlichen Andrang vor Ort abweichen kann.<br>Auch ist eine Verschiebung der Impfung für einzelne Impflinge immer möglich!<br><br>";
				

			}else{
				$queryinsert = mysqli_query($con, "UPDATE togo_termin SET count = count + 1 WHERE terminid = '".$terminid."'");
				$queryinserttwo = mysqli_query($con, "INSERT INTO togo_termin_teilnehmer (terminid, ip, mail, create_time,name) VALUES ('".$terminid."', '".$ip."', '".$mail."', '". date("Y-m-d H:i:s") ."', '".$name."')");
				
				// Termin wird angelegt
				if($queryinsert){
					$textausgabe .= "<h4>Unverbindliche Anmeldung gespeichert!<h4>";
					$textausgabe .= "<h4>Sie erhalten keine E-Mail oder Terminbestätigung.<h4>";
					$textausgabe .= "<h4>Vielen Dank für Ihren Eintrag. Dadurch helfen Sie uns eine bessere Planung der Impfungen bereitzustellen.<h4>";
					$textausgabe .= "Bitte beachten Sie, dass die angezeigte Anzahl der Online Anmeldungen vom tatsächlichen Andrang vor Ort abweichen kann.<br>Auch ist eine Verschiebung der Impfung für einzelne Impflinge immer möglich!<br><br>";
					
				}else{
					$textausgabe .= "<h4>Fehler beim Speichern!<h4>";
				
				}
			}
			//echo $textausgabe;
			echo "<div class='infofenster'>$textausgabe</div>";		
			
			
			
			
		}
		
		
		
		
		
		//echo '<div class="infofenster">Wir sind im Urlaub</div>';
		
		##Anlegung der nächsten Termin für die nächsten vier Wochen
		gototerminanlegung();
		?>
		<h3>Termine "togo" verwalten</h3>
		<br>
		<?php

		
		##Regeln für Termine
		$sqlstring = "SELECT * FROM togo_terminvorgaben";
		$query = mysqli_query($con,$sqlstring);
		
		echo "<h4>Serientermine</h4>Serientermine werden jede Woche wiederholt. Während aktivierem Urlaub werden die Termine ausgesetzt.<br>
		Sollten Termine von der Serie abweichen, müssen diese Termine einzeln angelegt werden und die angelegten Termine der Serie deaktiviert werden.<br><br>
		<table width=100%><tr><th>Datum</th><th>Uhrzeit</th><th>Standort/Infos</th><th>Aktion</th></tr>";
		
		while ($row = $query->fetch_assoc()) {
			$togovorgabenid = $row["vorgabenid"];
			$togodate = $row["date"];
			$togostart = $row["start"];
			$togoende = $row["ende"];
			if($togodate == "Mo"){
				$ausgabedate = "montags";
			}elseif($togodate == "Di"){
				$ausgabedate = "dienstags";
			}elseif($togodate == "Mi"){
				$ausgabedate = "mittwochs";
			}elseif($togodate == "Do"){
				$ausgabedate = "donnerstags";
			}elseif($togodate == "Fr"){
				$ausgabedate = "freitags";
			}elseif($togodate == "Sa"){
				$ausgabedate = "samstags";
			}elseif($togodate == "so"){
				$ausgabedate = "sonntags";
			}else{
				$ausgabedate = "error";
			}
			$togostandort = $row["standort"];
			$togowarning = $row["warning"];
			$togoerror = $row["error"];
			echo "<tr><td>" . $ausgabedate . "</td><td>" . date("H:i", strtotime($togostart)) . " - " . date("H:i", strtotime($togoende)) . "</td><td>" . $togostandort . "   - Gelb:" . $togowarning . " Rot:" . $togoerror . "</td><td>  <a href=". $_SERVER["PHP_SELF"] ."?a=removeserie&id=$togovorgabenid class='glyphicon glyphicon-remove' title='löschen'  onclick=\"return confirm('Eintrag " . $ausgabedate . " " . date("H:i", strtotime($togostart)) . " - " . date("H:i", strtotime($togoende)) . " wirklich löschen?');\" ></a></td><td>";

		}
		echo "</table><br>";		
		echo '<form action="'. $_SERVER["PHP_SELF"] .'" method=POST>';
		echo "<input type=hidden name=aktion value=togoterminverwaltungnewserie >";
		echo '<input type=submit class="btn btn-primary btn-sm" value="neuer Serientermin">';
		echo "</form>";
		echo "<br><br>";
		##aktuelle Termine einsehen
		$datum = date("Y-m-d");
		$sqlstring = "SELECT * FROM togo_termin  WHERE  date >='". $datum . "'  ORDER by date,start  ASC ";
		$query = mysqli_query($con,$sqlstring);
		
		echo "<h4>Aktuelle Termine</h4>Auf der öffentlichen Webseite können immer nur die Termine der nächsten 14 Tage eingesehen werden.<br><table width=100%><tr><th>Datum</th><th>Uhrzeit</th><th>Standort</th><th>Teilnehmer/Infos</th><th>Aktion</th></tr>";
		
		while ($row = $query->fetch_assoc()) {
			$togoterminid = $row["terminid"];
			$togodate = $row["date"];
			$togostart = $row["start"];
			$togoende = $row["end"];
			$togostandort = $row["standort"];
			$togocount = $row["count"];
			$togowarning = $row["warning"];
			$togoerror = $row["error"];
			if($togocount >= 0){
				
				echo "<tr><td>" . date("d.m.y", strtotime($togodate)) . "</td><td>" . date("H:i", strtotime($togostart)) . " - " . date("H:i", strtotime($togoende)) . "</td><td>" . $togostandort . "</td><td>Meldung:" . $togocount . "    - Gelb:" . $togowarning . " Rot:" . $togoerror . "</td><td><a href=". $_SERVER["PHP_SELF"] ."?a=togoAddUser&id=$togoterminid class='glyphicon glyphicon-plus' title='Patient hinzufügen'></a>   <a href=". $_SERVER["PHP_SELF"] ."?a=showtogotermin&id=$togoterminid class='glyphicon glyphicon-eye-open' title='einsehen'></a> <a href=". $_SERVER["PHP_SELF"] ."?a=togoedittermin&id=$togoterminid class='glyphicon glyphicon-pencil' title='anpassen'></a> <a href=". $_SERVER["PHP_SELF"] ."?a=togosendmail&id=$togoterminid  class='glyphicon glyphicon-envelope' title='Mail an alle Teilnehmer'></a> <a href=". $_SERVER["PHP_SELF"] ."?a=removetogotermin&id=$togoterminid  class='glyphicon glyphicon-remove' title='deaktiveren'></a>  </td></tr>";
			}else{
				echo "<tr><td>" . date("d.m.y", strtotime($togodate)) . "</td><td>" . date("H:i", strtotime($togostart)) . " - " . date("H:i", strtotime($togoende)) . "</td><td>" . $togostandort . "</td><td>deaktivert     - Gelb:" . $togowarning . " Rot:" . $togoerror . "</td><td> <a href=". $_SERVER["PHP_SELF"] ."?a=activetogotermin&id=$togoterminid class='glyphicon glyphicon-ok' title='aktivieren'></a>  <a href=". $_SERVER["PHP_SELF"] ."?a=showtogotermin&id=$togoterminid class='glyphicon glyphicon-eye-open' title='einsehen'></a>  <a href=". $_SERVER["PHP_SELF"] ."?a=togosendmail&id=$togoterminid  class='glyphicon glyphicon-envelope' title='Mail an alle Teilnehmer'></a>   <a href=". $_SERVER["PHP_SELF"] ."?a=deletetogotermin&id=$togoterminid  class='glyphicon glyphicon-remove' title='Dauerhaft löschen' onclick=\"return confirm('Eintrag " . $togodate . " " . date("H:i", strtotime($togostart)) . " - " . date("H:i", strtotime($togoende)) . " wirklich löschen? Serientermine dürfen nicht gelöscht werden, da diese sonst wieder erstellt werden.');\"></a> </td></tr>";
			}
		}
		echo "</table><br>";
		echo '<form action="'. $_SERVER["PHP_SELF"] .'" method=POST>';
		echo "<input type=hidden name=aktion value=togoterminverwaltungnewtogo >";
		echo '<input type=submit class="btn btn-primary btn-sm" value="neuer Einzeltermin">';
		echo "</form>";
		echo "<br>";
		echo '<form action="'. $_SERVER["PHP_SELF"] .'" method=POST>';
		echo "<input type=hidden name=aktion value=folgenewtermin >";
		echo '<input type=submit class="btn btn-primary btn-sm" value="neue Terminfolge">';
		echo "</form>";	
		
		

		echo "<br>";

		echo "<h4>Statistik</h4>";
	
		echo "Anmeldung der letzten 14 Tagen pro Tag<br>";
		
		$vorzweiwochen = date('Y-m-d', strtotime('-14 days', strtotime($datum)));
		
		$sqlstring = "SELECT date, SUM(count) FROM togo_termin  WHERE date >='". $vorzweiwochen . "' AND date <='". $datum . "' AND count != '-1' AND count !='0' group BY date order by date";
		#echo $sqlstring;
		$query = mysqli_query($con,$sqlstring);	

		while ($row = $query->fetch_assoc()) {
			$count = $row["SUM(count)"];
			$togodate = $row["date"];
			echo $togodate . " - " . $count . " Anmeldungen<br>";
		
		}
		echo "<br>Anmeldung der nächsten 14 Tagen pro Tag<br>"	;
		$inzweiwochen = date('Y-m-d', strtotime('+14 days', strtotime($datum)));
		
		$sqlstring = "SELECT date, SUM(count) FROM togo_termin  WHERE date >'". $datum . "' AND date <='". $inzweiwochen . "' AND count != '-1' AND count !='0' group BY date order by date";
		$query = mysqli_query($con,$sqlstring);	
		while ($row = $query->fetch_assoc()) {
			$count = $row["SUM(count)"];
			$togodate = $row["date"];
			echo $togodate . " - " . $count . " Anmeldungen<br>";
		
		}	
		
		echo "<br>Gesamtzähler<br>";
		$sqlstring = "SELECT SUM(count),MIN(date) FROM togo_termin  WHERE count != '-1' AND count !='0' AND date <='". $datum . "'";
		$query = mysqli_query($con,$sqlstring);	
		while ($row = $query->fetch_assoc()) {
			$count = $row["SUM(count)"];
			$togodate = $row["MIN(date)"];
			echo $count . " Anmeldungen seit dem " . $togodate  . " bis heute.<br>";
		
		}			
		$queryinsert = mysqli_query($con, "SELECT *
							FROM      togo_termin_teilnehmer
							LEFT JOIN togo_termin ON togo_termin_teilnehmer.terminid = togo_termin.terminid
							WHERE standort IS NULL OR COUNT = '-1'");
		$anzahlzeilen = $queryinsert->num_rows;
		
		if( $anzahlzeilen != 0){
			echo "<h4>Abgesagte Termine</h4>";
			echo "<a href=". $_SERVER["PHP_SELF"] ."?a=togomaildeletetimes title='Mail an alle Teilnehmer' class='btn btn-primary btn-sm'>Mail an alle Teilnehmer bei abgesagten Terminen</a> ";
		}
		echo "<br><br>";		
		echo '<form action="'. $_SERVER["PHP_SELF"] .'" method=POST>';
		echo "<input type=hidden name=aktion value=togoterminverwaltung >";
		echo '<input type=submit class="btn btn-primary btn-sm" value="zurück">';
		echo "</form>";	
		
	}
	



	

}

	
	?>
							
			<br><br><br><input type="button" class='btn btn-secondary' value="Zu Hauptmenü" onClick="location.href=impfadmin.php">

			</section>
		


		<?php

	include("templates/footer.inc.php")

?>